[debsums] 77/184: Cleaned-up postinst script to hopefully help with #503444

Axel Beckert abe at deuxchevaux.org
Mon Mar 2 21:21:20 UTC 2015


This is an automated email from the git hooks/post-receive script.

abe pushed a commit to branch master
in repository debsums.

commit 950ac92883a7cb825139a37826d71d1da84ada01
Author: Francois Marier <francois at debian.org>
Date:   Sun Oct 26 21:13:21 2008 +1300

    Cleaned-up postinst script to hopefully help with #503444
---
 debian/config   |  1 -
 debian/postinst | 54 +++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 39 insertions(+), 16 deletions(-)

diff --git a/debian/config b/debian/config
index c697de7..1d77fed 100755
--- a/debian/config
+++ b/debian/config
@@ -3,6 +3,5 @@
 . /usr/share/debconf/confmodule
 
 db_input low debsums/apt-autogen || true
-db_go || true
 db_input medium debsums/croncheck || true
 db_go || true
diff --git a/debian/postinst b/debian/postinst
index 150ece1..a0e00f9 100755
--- a/debian/postinst
+++ b/debian/postinst
@@ -1,25 +1,49 @@
 #!/bin/sh -e
 
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
 . /usr/share/debconf/confmodule
 
 DF=/etc/default/debsums
 APT_CONF=/etc/apt/apt.conf.d/90debsums
 
-db_get debsums/apt-autogen
-if [ "$RET" = true ]; then
-    echo 'DPkg::Post-Invoke:: { "if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi"; };' >$APT_CONF
-else
-    rm -f $APT_CONF
-fi
-
-db_get debsums/croncheck || true
-if [ -f $DF ]; then
-    TEMPFILE=`mktemp` || exit 1
-    sed $DF -e "s,^ *CRON_CHECK=.*,CRON_CHECK=\"$RET\"," > $TEMPFILE
-    mv -f $TEMPFILE $DF
-    chmod 644 $DF
-    rm -f $TEMPFILE
-fi
+case "$1" in
+    configure)
+        db_get debsums/apt-autogen || true
+        if [ "$RET" = true ]; then
+            echo 'DPkg::Post-Invoke:: { "if [ -x /usr/bin/debsums ]; then /usr/bin/debsums --generate=nocheck -sp /var/cache/apt/archives; fi"; };' >$APT_CONF
+        else
+            rm -f $APT_CONF
+        fi
+
+        db_get debsums/croncheck || true
+        if [ -f $DF ]; then
+            TEMPFILE=`mktemp` || exit 1
+            sed $DF -e "s,^ *CRON_CHECK=.*,CRON_CHECK=\"$RET\"," > $TEMPFILE
+            mv -f $TEMPFILE $DF
+            chmod 644 $DF
+            rm -f $TEMPFILE
+        fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
 
 # dh_installdeb will replace this with shell code automatically
 # generated by other debhelper scripts.

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-perl/packages/debsums.git



More information about the Pkg-perl-cvs-commits mailing list